Requirements for the Insightly add-in for Outlook 2013 or later

In order to install the Insightly add-in for Outlook, you must have the following:

  • An Outlook client that supports add-ins
  • Outlook online or Outlook desktop 2013 and higher
  • An Office 365 business subscription that is not provided through a third party, like GoDaddy or Rackspace
If you have an Insightly for G Suite account and access your Gmail through Outlook, you won't be able to use the Insightly add-in.

If you are having issues with Outlook admin permissions during the installation of the app, please contact Microsoft Support for assistance.

Have more questions? Submit a request
Top